﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace AutoComplete_Stock_Search
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            DataContext = new ViewModel();
            filter.Filter = CustomFilter;
        }

        private bool CustomFilter(object search, object item)
        {
            if((item as Model).Title.ToLower().StartsWith(search.ToString().ToLower()))
                return true;
            return false;
        }
    }

    public class Model
    {
        private string title;
        public string Title
        {
            get { return title; }
            set { title = value; }
        }
    }

    public class ViewModel
    {
        private ObservableCollection<Model> stocks;
        public ObservableCollection<Model> Stocks
        {
            get { return stocks; }
            set { stocks = value; }
        }

        public ViewModel()
        {
            stocks = new ObservableCollection<Model>();
            stocks.Add(new Model() { Title = "F" });
            stocks.Add(new Model() { Title = "FB" });
            stocks.Add(new Model() { Title = "FCX" });
            stocks.Add(new Model() { Title = "FEYE" });
            stocks.Add(new Model() { Title = "FIT" });
            stocks.Add(new Model() { Title = "FXCM" });
        }
    }
}
